import numpy as np
# Copyright © 2005-2019, NumPy Developers.

import pandas as pd
# Copyright (c) 2008-2012, AQR Capital Management, LLC, Lambda Foundry, Inc. and PyData Development Team

# Hvis nevner eller teller i delestykket er null, settes variabelen til null
# Hvis teller er pisitiv eller negativ settes variabelen til inf eller -inf
# inf og -inf behandles senere under winsorizingen.
def make_ratio(numerator,denumerator):
    ratio = [None]*len(numerator)
    for i in range(len(numerator)):
        if denumerator[i]!=0:
            ratio[i] = numerator[i] / denumerator[i]
        else: #teller[i]==0:
            if numerator[i]>0:
                ratio[i] = np.inf
            elif numerator[i]<0:
                ratio[i] = -np.inf
            else: # teller[i]==0:
                ratio[i] = 0
    return pd.Series(ratio)

